aboutsummaryrefslogtreecommitdiff
path: root/gcctestsuite.sh
diff options
context:
space:
mode:
authorbellard <bellard>2003-10-05 09:48:53 +0000
committerbellard <bellard>2003-10-05 09:48:53 +0000
commit77a19bf50e8e1baff65c763c41613dbc23dce106 (patch)
treec83ebfeb5ed93166ff9ec35bc735ef56b55b0764 /gcctestsuite.sh
parentb7f12dfbdff66b2012f1d7a7f1074f08a139805c (diff)
downloadtinycc-77a19bf50e8e1baff65c763c41613dbc23dce106.tar.gz
tinycc-77a19bf50e8e1baff65c763c41613dbc23dce106.tar.bz2
update
Diffstat (limited to 'gcctestsuite.sh')
-rwxr-xr-xgcctestsuite.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/gcctestsuite.sh b/gcctestsuite.sh
new file mode 100755
index 0000000..bd9204b
--- /dev/null
+++ b/gcctestsuite.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+TESTSUITE_PATH=$HOME/gcc/gcc-3.2/gcc/testsuite/gcc.c-torture
+TCC="./tcc -B. -I. -DNO_TRAMPOLINES"
+rm -f tcc.sum tcc.log
+nb_failed="0"
+
+for src in $TESTSUITE_PATH/compile/*.c ; do
+ echo $TCC -o /tmp/test.o -c $src
+ $TCC -o /tmp/test.o -c $src >> tcc.log 2>&1
+ if [ "$?" == "0" ] ; then
+ result="PASS"
+ else
+ result="FAIL"
+ nb_failed=$[ $nb_failed + 1 ]
+ fi
+ echo "$result: $src" >> tcc.sum
+done
+
+for src in $TESTSUITE_PATH/execute/*.c ; do
+ echo $TCC $src
+ $TCC $src >> tcc.log 2>&1
+ if [ "$?" == "0" ] ; then
+ result="PASS"
+ else
+ result="FAIL"
+ nb_failed=$[ $nb_failed + 1 ]
+ fi
+ echo "$result: $src" >> tcc.sum
+done
+
+echo "$nb_failed test(s) failed." >> tcc.sum
+echo "$nb_failed test(s) failed."